175 lines
6.4 KiB
Diff
175 lines
6.4 KiB
Diff
|
diff -rNup LVM2.2.02.52/configure LVM2.2.02.52-new/configure
|
||
|
--- LVM2.2.02.52/configure 2009-09-14 23:57:46.000000000 +0100
|
||
|
+++ LVM2.2.02.52-new/configure 2009-09-17 00:34:32.915966000 +0100
|
||
|
@@ -15404,7 +15404,7 @@ LVM_LIBAPI=`echo "$VER" | $AWK -F '[()]'
|
||
|
|
||
|
|
||
|
################################################################################
|
||
|
-ac_config_files="$ac_config_files Makefile make.tmpl daemons/Makefile daemons/clvmd/Makefile daemons/cmirrord/Makefile daemons/dmeventd/Makefile daemons/dmeventd/libdevmapper-event.pc daemons/dmeventd/plugins/Makefile daemons/dmeventd/plugins/mirror/Makefile daemons/dmeventd/plugins/snapshot/Makefile doc/Makefile include/Makefile lib/Makefile lib/format1/Makefile lib/format_pool/Makefile lib/locking/Makefile lib/mirror/Makefile lib/misc/lvm-version.h lib/snapshot/Makefile libdm/Makefile libdm/libdevmapper.pc liblvm/Makefile liblvm/liblvm2app.pc man/Makefile po/Makefile scripts/clvmd_init_red_hat scripts/Makefile test/Makefile test/api/Makefile tools/Makefile udev/Makefile"
|
||
|
+ac_config_files="$ac_config_files Makefile make.tmpl daemons/Makefile daemons/clvmd/Makefile daemons/cmirrord/Makefile daemons/dmeventd/Makefile daemons/dmeventd/libdevmapper-event.pc daemons/dmeventd/plugins/Makefile daemons/dmeventd/plugins/mirror/Makefile daemons/dmeventd/plugins/snapshot/Makefile doc/Makefile include/Makefile lib/Makefile lib/format1/Makefile lib/format_pool/Makefile lib/locking/Makefile lib/mirror/Makefile lib/misc/lvm-version.h lib/snapshot/Makefile libdm/Makefile libdm/libdevmapper.pc liblvm/Makefile liblvm/liblvm2app.pc man/Makefile po/Makefile scripts/clvmd_init_red_hat scripts/lvm2_monitoring_init_red_hat scripts/Makefile test/Makefile test/api/Makefile tools/Makefile udev/Makefile"
|
||
|
|
||
|
cat >confcache <<\_ACEOF
|
||
|
# This file is a shell script that caches the results of configure
|
||
|
@@ -16029,6 +16029,7 @@ do
|
||
|
"man/Makefile") CONFIG_FILES="$CONFIG_FILES man/Makefile" ;;
|
||
|
"po/Makefile") CONFIG_FILES="$CONFIG_FILES po/Makefile" ;;
|
||
|
"scripts/clvmd_init_red_hat") CONFIG_FILES="$CONFIG_FILES scripts/clvmd_init_red_hat" ;;
|
||
|
+ "scripts/lvm2_monitoring_init_red_hat") CONFIG_FILES="$CONFIG_FILES scripts/lvm2_monitoring_init_red_hat" ;;
|
||
|
"scripts/Makefile") CONFIG_FILES="$CONFIG_FILES scripts/Makefile" ;;
|
||
|
"test/Makefile") CONFIG_FILES="$CONFIG_FILES test/Makefile" ;;
|
||
|
"test/api/Makefile") CONFIG_FILES="$CONFIG_FILES test/api/Makefile" ;;
|
||
|
diff -rNup LVM2.2.02.52/configure.in LVM2.2.02.52-new/configure.in
|
||
|
--- LVM2.2.02.52/configure.in 2009-09-14 23:57:46.000000000 +0100
|
||
|
+++ LVM2.2.02.52-new/configure.in 2009-09-17 00:34:32.928965000 +0100
|
||
|
@@ -1159,6 +1159,7 @@ liblvm/liblvm2app.pc
|
||
|
man/Makefile
|
||
|
po/Makefile
|
||
|
scripts/clvmd_init_red_hat
|
||
|
+scripts/lvm2_monitoring_init_red_hat
|
||
|
scripts/Makefile
|
||
|
test/Makefile
|
||
|
test/api/Makefile
|
||
|
diff -rNup LVM2.2.02.52/scripts/lvm2_monitoring_init_red_hat.in LVM2.2.02.52-new/scripts/lvm2_monitoring_init_red_hat.in
|
||
|
--- LVM2.2.02.52/scripts/lvm2_monitoring_init_red_hat.in 1970-01-01 01:00:00.000000000 +0100
|
||
|
+++ LVM2.2.02.52-new/scripts/lvm2_monitoring_init_red_hat.in 2009-09-17 00:34:32.933965000 +0100
|
||
|
@@ -0,0 +1,119 @@
|
||
|
+#!/bin/bash
|
||
|
+#
|
||
|
+# Copyright (C) 2007-2009 Red Hat, Inc. All rights reserved.
|
||
|
+#
|
||
|
+# This copyrighted material is made available to anyone wishing to use,
|
||
|
+# modify, copy, or redistribute it subject to the terms and conditions
|
||
|
+# of the GNU General Public License v.2.
|
||
|
+#
|
||
|
+# You should have received a copy of the GNU General Public License
|
||
|
+# along with this program; if not, write to the Free Software Foundation,
|
||
|
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
|
||
|
+#
|
||
|
+# This file is part of LVM2.
|
||
|
+# It is required for the proper handling of failures of LVM2 mirror
|
||
|
+# devices that were created using the -m option of lvcreate.
|
||
|
+#
|
||
|
+#
|
||
|
+# chkconfig: 12345 02 99
|
||
|
+# description: Starts and stops dmeventd monitoring for lvm2
|
||
|
+#
|
||
|
+# For Red-Hat-based distributions such as Fedora, RHEL, CentOS.
|
||
|
+#
|
||
|
+### BEGIN INIT INFO
|
||
|
+# Provides: lvm2-monitor
|
||
|
+# Required-Start: $local_fs
|
||
|
+# Required-Stop: $local_fs
|
||
|
+# Default-Start: 1 2 3 4 5
|
||
|
+# Default-Stop: 0 6
|
||
|
+# Short-Description: Monitoring of LVM2 mirrors, snapshots etc. using dmeventd
|
||
|
+### END INIT INFO
|
||
|
+
|
||
|
+. /etc/init.d/functions
|
||
|
+
|
||
|
+DAEMON=lvm2_monitor
|
||
|
+
|
||
|
+exec_prefix=@exec_prefix@
|
||
|
+sbindir=@sbindir@
|
||
|
+
|
||
|
+VGCHANGE=${sbindir}/vgchange
|
||
|
+VGS=${sbindir}/vgs
|
||
|
+
|
||
|
+LOCK_FILE="/var/lock/subsys/$DAEMON"
|
||
|
+
|
||
|
+WARN=1
|
||
|
+
|
||
|
+start()
|
||
|
+{
|
||
|
+ ret=0
|
||
|
+ # TODO do we want to separate out already active groups only?
|
||
|
+ VGSLIST=`$VGS --noheadings -o name 2> /dev/null`
|
||
|
+ for vg in $VGSLIST
|
||
|
+ do
|
||
|
+ action "Starting monitoring for VG $vg:" $VGCHANGE --monitor y $vg || ret=$?
|
||
|
+ done
|
||
|
+
|
||
|
+ return $ret
|
||
|
+}
|
||
|
+
|
||
|
+
|
||
|
+stop()
|
||
|
+{
|
||
|
+ ret=0
|
||
|
+ # TODO do we want to separate out already active groups only?
|
||
|
+ if test "$WARN" = "1"; then
|
||
|
+ echo "Not stopping monitoring, this is a dangerous operation. Please use force-stop to override."
|
||
|
+ return 1
|
||
|
+ fi
|
||
|
+ VGSLIST=`$VGS --noheadings -o name 2> /dev/null`
|
||
|
+ for vg in $VGSLIST
|
||
|
+ do
|
||
|
+ action "Stopping monitoring for VG $vg:" $VGCHANGE --monitor n $vg || ret=$?
|
||
|
+ done
|
||
|
+ return $ret
|
||
|
+}
|
||
|
+
|
||
|
+rtrn=1
|
||
|
+
|
||
|
+# See how we were called.
|
||
|
+case "$1" in
|
||
|
+ start)
|
||
|
+ start
|
||
|
+ rtrn=$?
|
||
|
+ [ $rtrn = 0 ] && touch $LOCK_FILE
|
||
|
+ ;;
|
||
|
+
|
||
|
+ force-stop)
|
||
|
+ WARN=0
|
||
|
+ stop
|
||
|
+ rtrn=$?
|
||
|
+ [ $rtrn = 0 ] && rm -f $LOCK_FILE
|
||
|
+ ;;
|
||
|
+
|
||
|
+ stop)
|
||
|
+ test "$runlevel" = "0" && WARN=0
|
||
|
+ test "$runlevel" = "6" && WARN=0
|
||
|
+ stop
|
||
|
+ rtrn=$?
|
||
|
+ [ $rtrn = 0 ] && rm -f $LOCK_FILE
|
||
|
+ ;;
|
||
|
+
|
||
|
+ restart)
|
||
|
+ WARN=0
|
||
|
+ if stop
|
||
|
+ then
|
||
|
+ start
|
||
|
+ fi
|
||
|
+ rtrn=$?
|
||
|
+ ;;
|
||
|
+
|
||
|
+ status)
|
||
|
+ # TODO anyone with an idea how to dump monitored volumes?
|
||
|
+ ;;
|
||
|
+
|
||
|
+ *)
|
||
|
+ echo $"Usage: $0 {start|stop|restart|status|force-stop}"
|
||
|
+ ;;
|
||
|
+esac
|
||
|
+
|
||
|
+exit $rtrn
|
||
|
diff -rNup LVM2.2.02.52/scripts/Makefile.in LVM2.2.02.52-new/scripts/Makefile.in
|
||
|
--- LVM2.2.02.52/scripts/Makefile.in 2009-05-14 17:46:13.000000000 +0100
|
||
|
+++ LVM2.2.02.52-new/scripts/Makefile.in 2009-09-17 00:34:32.937965000 +0100
|
||
|
@@ -29,4 +29,4 @@ endif
|
||
|
|
||
|
install_lvm2: install
|
||
|
|
||
|
-DISTCLEAN_TARGETS += clvmd_init_red_hat
|
||
|
+DISTCLEAN_TARGETS += clvmd_init_red_hat lvm2_monitoring_init_red_hat
|
||
|
diff -rNup LVM2.2.02.52/WHATS_NEW LVM2.2.02.52-new/WHATS_NEW
|
||
|
--- LVM2.2.02.52/WHATS_NEW 2009-09-15 14:49:10.000000000 +0100
|
||
|
+++ LVM2.2.02.52-new/WHATS_NEW 2009-09-17 00:39:02.216229000 +0100
|
||
|
@@ -1,3 +1,7 @@
|
||
|
+Version 2.02.53 -
|
||
|
+=====================================
|
||
|
+ Update lvm2 monitoring script to lvm2_monitoring_init_red_hat.in.
|
||
|
+
|
||
|
Version 2.02.52 - 15th September 2009
|
||
|
=====================================
|
||
|
Update _process_one_vg to cleanup properly after vg_read_error.
|